%{?python_enable_dependency_generator}
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global sname manilaclient


%global common_desc \
Client library and command line utility for interacting with Openstack \
Share API.

Name:       python-manilaclient
Version:    1.21.1
Release:    4%{?dist}
Summary:    Client Library for OpenStack Share API
License:    ASL 2.0
URL:        https://pypi.io/pypi/%{name}
Source0:    https://tarballs.openstack.org/python-manilaclient/%{name}-%{upstream_version}.tar.gz

BuildArch:  noarch

%description
%{common_desc}

%package -n python3-%{sname}
Summary:    Client Library for OpenStack Share API
%{?python_provide:%python_provide python3-%{sname}}

# We require a whole set of packages that are not needed by setup.py,
# merely because Sphinx pulls them in when scanning for docstrings.
BuildRequires: python3-devel
BuildRequires: python3-keystoneclient
BuildRequires: python3-oslo-utils
BuildRequires: python3-pbr
BuildRequires: python3-prettytable
BuildRequires: python3-setuptools
BuildRequires: python3-six

%description -n python3-%{sname}
%{common_desc}


%package doc
Summary:    Documentation for OpenStack Share API Client

BuildRequires: python3-sphinx
BuildRequires: python3-openstackdocstheme

%description doc
%{common_desc}

This package contains documentation.

%prep
%autosetup -n %{name}-%{upstream_version} -S git

# Remove bundled egg-info
rm -rf python_manilaclient.egg-info

# Make docs build on Python 3
sed -i 's/from cStringIO /from io /' doc/source/exts/clidoc/__init__.py

%build
%py3_build

%{__python3} setup.py build_sphinx -b html

# Fix hidden-file-or-dir warnings
rm -fr doc/build/html/.doctrees doc/build/html/.buildinfo

%install
%py3_install

# Delete tests
rm -fr %{buildroot}%{python3_sitelib}/manilaclient/tests

# Install bash completion
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
install -pm 644 tools/manila.bash_completion \
    %{buildroot}%{_sysconfdir}/bash_completion.d/manila


%files -n python3-%{sname}
%doc README.rst
%license LICENSE
%{_bindir}/manila
%{_sysconfdir}/bash_completion.d
%{python3_sitelib}/manilaclient
%{python3_sitelib}/*.egg-info

%files doc
%doc doc/build/html
%license LICENSE

%changelog
* Mon Feb 18 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.21.1-4
- Enable python dependency generator

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.21.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Wed Nov 07 2018 Miro Hrončok <mhroncok@redhat.com> - 1.21.1-2
- Subpackage python2-manilaclient has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Tue Jul 31 2018 RDO <dev@lists.rdoproject.org> 1.21.1-1
- Update to 1.21.1

* Sun Feb 11 2018 RDO <dev@lists.rdoproject.org> 1.21.0-1
- Update to 1.21.0


